Create customer
curl --request POST \
--url https://demo.onlinebillingform.com/api/v2/customer/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address_1": "<string>",
"city": "<string>",
"county_id": 123,
"country_id": 123,
"postal_code": "<string>",
"phone": "<string>",
"username": "jsmith@example.com",
"password": "<string>",
"address_2": "<string>",
"fax": "<string>",
"website": "<string>",
"credit": 123,
"business_name": "<string>",
"comment": "<string>"
}
'import requests
url = "https://demo.onlinebillingform.com/api/v2/customer/create"
payload = {
"name": "<string>",
"address_1": "<string>",
"city": "<string>",
"county_id": 123,
"country_id": 123,
"postal_code": "<string>",
"phone": "<string>",
"username": "jsmith@example.com",
"password": "<string>",
"address_2": "<string>",
"fax": "<string>",
"website": "<string>",
"credit": 123,
"business_name": "<string>",
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address_1: '<string>',
city: '<string>',
county_id: 123,
country_id: 123,
postal_code: '<string>',
phone: '<string>',
username: 'jsmith@example.com',
password: '<string>',
address_2: '<string>',
fax: '<string>',
website: '<string>',
credit: 123,
business_name: '<string>',
comment: '<string>'
})
};
fetch('https://demo.onlinebillingform.com/api/v2/customer/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"errors": "Invalid API Key"
}{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}Customer
Create customer
POST
/
customer
/
create
Create customer
Authorizations
Use Authorization: Bearer <live_api_key>.
Body
application/jsonapplication/x-www-form-urlencoded
Response
OK
⌘I